<?php

namespace Drupal\testsuite;

use Drupal\Core\Database\Database;

/**
 * Test Suite Base Service.
 */
class BaseService {

  /**
   * Checks to see if the path has the web folder in it.
   *
   * @return bool
   */
  public function hasWebFolder() {
    $path = dirname(dirname(dirname(__DIR__)));
    if (preg_match('/\bweb\b/', $path)) return true;
    else return false;
  }

  /**
   * Checks to see if the path is windows.
   *
   * @return bool
   */
  public function isWindows() {
    return strtoupper(substr(PHP_OS, 0, 3)) === 'WIN';
  }
}
